Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.generate.generators.ninja
Class GenerateNinjaScript

    java.lang.Object
      org.encog.app.generate.generators.AbstractTemplateGenerator
          org.encog.app.generate.generators.ninja.GenerateNinjaScript

All Implemented Interfaces:
  LanguageSpecificGenerator, TemplateGenerator

    public class GenerateNinjaScript

extends AbstractTemplateGenerator

Constructor Summary
`GenerateNinjaScript()`

Method Summary
`String` | `getNullArray()`
`String` | `getTemplatePath()`
`void` | `processToken(String command)` Process the specified token.

Methods inherited from class org.encog.app.generate.generators.AbstractTemplateGenerator
`addLine, addNameValue, addNameValue, addNameValue, addNameValue, createActivations, createParams, generate, getAnalyst, getContents, getIndentLevel, indentIn, indentOut, setIndentLevel, toBrokenList, toBrokenList, writeContents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenerateNinjaScript

    public GenerateNinjaScript()

Method Detail

### getTemplatePath

    public String getTemplatePath()

  Specified by:
    `getTemplatePath` in class `AbstractTemplateGenerator`
  Returns:
    Get a resource path to the template that we are using.

### processToken

    public void processToken(String command)

  Description copied from class: `AbstractTemplateGenerator`
  Process the specified token.

  Specified by:
    `processToken` in class `AbstractTemplateGenerator`
  Parameters:
    `command` - The token to process.

### getNullArray

    public String getNullArray()

  Specified by:
    `getNullArray` in class `AbstractTemplateGenerator`
  Returns:
    A platform specific array set to null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.